
DECLARE @session_name NVARCHAR(128)
DECLARE @DropCmd NVARCHAR(1000)

SELECT @session_name = MIN(name)
FROM sys.server_event_sessions
WHERE name LIKE 'SQLskills_%';

WHILE @session_name IS NOT NULL
BEGIN
	
	SET @DropCmd = 'DROP EVENT SESSION '+QUOTENAME(@session_name)+' ON SERVER;';
	
	EXEC(@DropCmd);

	SELECT @session_name = MIN(name)
	FROM sys.server_event_sessions
	WHERE name LIKE 'SQLskills_%';

END